Bug 234025 - mail/spamass-rules: Produces Perl 5.28 deprecation warning: Unescaped left brace in regex
Summary: mail/spamass-rules: Produces Perl 5.28 deprecation warning: Unescaped left br...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-12-14 23:10 UTC by Cy Schubert
Modified: 2019-02-14 08:58 UTC (History)
2 users (show)

See Also:
michael: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Patch for new version an default options (2.06 KB, text/plain)
2019-01-02 09:21 UTC, michael
koobs: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cy Schubert freebsd_committer 2018-12-14 23:10:00 UTC

    
Comment 1 Cy Schubert freebsd_committer 2018-12-14 23:11:20 UTC
Dec 14 12:10:50.007 [3711] warn: Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.30), passed through in regex; marked by <-- HERE in m/hilft gegen Impotenz und Er{0,5}.{ <-- HERE 0.6}ktionsst.{0,2}rungen beim Mann/ at /usr/local/lib/perl5/site_perl/Mail/SpamAssassin/Conf/Parser.pm line 1403.
Dec 14 12:10:50.009 [3711] warn: Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.30), passed through in regex; marked by <-- HERE in m/(?:Nicht|Nie) mehr zufr.{0,2}h (?:im Bett |)(?:zum Orgasmus kommen|zu fr.{ <-- HERE 0,2]h abspritzen|schlapp machen)/ at /usr/local/lib/perl5/site_perl/Mail/SpamAssassin/Conf/Parser.pm line 1403.
Dec 14 12:11:07.533 [3711] warn: Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.30), passed through in regex; marked by <-- HERE in m/hilft gegen Impotenz und Er{0,5}.{ <-- HERE 0.6}ktionsst.{0,2}rungen beim Mann/ at /usr/local/etc/mail/spamassassin/70_zmi_german.cf, rule __ZMIde_Pharmacy03, line 1.
Dec 14 12:11:07.669 [3711] warn: Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.30), passed through in regex; marked by <-- HERE in m/(?:Nicht|Nie) mehr zufr.{0,2}h (?:im Bett |)(?:zum Orgasmus kommen|zu fr.{ <-- HERE 0,2]h abspritzen|schlapp machen)/ at /usr/local/etc/mail/spamassassin/70_zmi_german.cf, rule __ZMIde_Pharmacy25, line 1.
Received: from localhost by slippy.cwsent.com
Comment 2 Cy Schubert freebsd_committer 2018-12-14 23:13:00 UTC
The error causes spamassassin to return a return code which in turn breaks mail/exmh2. Disabling German rules option resolves the issue.
Comment 3 Cy Schubert freebsd_committer 2018-12-15 00:47:20 UTC
See https://bz.apache.org/SpamAssassin/show_bug.cgi?id=7669 for more information.
Comment 4 michael 2019-01-02 09:21:04 UTC
Created attachment 200697 [details]
Patch for new version an default options

I have updated some of the rules files an changed the default options because for most files sa-update is the preferred solution
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-02 12:28:12 UTC
Comment on attachment 200697 [details]
Patch for new version an default options

Reporter is maintainer, set maintainer-approval on attachment accordingly
Comment 6 Tilman Keskinoz freebsd_committer 2019-02-14 08:58:38 UTC
Patch committed, thanks for reporting
Comment 7 commit-hook freebsd_committer 2019-02-14 08:58:52 UTC
A commit references this bug:

Author: arved
Date: Thu Feb 14 08:58:06 UTC 2019
New revision: 492908
URL: https://svnweb.freebsd.org/changeset/ports/492908

Log:
  Update to 20190101

  This is supposed to silence the Pel 5.28 deprecation warnings

  From the Maintainer:
  I have updated some of the rules files an changed the default options
  because for most files sa-update is the preferred solution

  PR:		234025
  Submitted by:	maintainer
  Reported by:	cy

Changes:
  head/mail/spamass-rules/Makefile
  head/mail/spamass-rules/distinfo